<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>8.0.30703</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{B3F29715-E925-4E56-9248-580F06C3BC11}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>Common</RootNamespace>
    <AssemblyName>Common</AssemblyName>
    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>..\WebSite\Bin\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="AipSdk">
      <HintPath>..\lib\AipSdk.dll</HintPath>
    </Reference>
    <Reference Include="aliyun-net-sdk-core">
      <HintPath>..\lib\aliyun-net-sdk-core.dll</HintPath>
    </Reference>
    <Reference Include="aliyun-net-sdk-dysmsapi">
      <HintPath>..\lib\aliyun-net-sdk-dysmsapi.dll</HintPath>
    </Reference>
    <Reference Include="Antlr3.Runtime, Version=3.1.3.42154, Culture=neutral, PublicKeyToken=3a9cab8f8d22bfb7, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\lib\NHibernate\Antlr3.Runtime.dll</HintPath>
    </Reference>
    <Reference Include="Bamboo.Prevalence, Version=1.4.4.4, Culture=neutral, PublicKeyToken=0edf2245780ab2d7">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\lib\NHibernate\Bamboo.Prevalence.dll</HintPath>
    </Reference>
    <Reference Include="Bamboo.Prevalence.Util, Version=1.4.4.4, Culture=neutral, PublicKeyToken=0edf2245780ab2d7">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\lib\NHibernate\Bamboo.Prevalence.Util.dll</HintPath>
    </Reference>
    <Reference Include="CacheManager.Core">
      <HintPath>..\lib\CacheManager.Core.0.7.4\lib\net40\CacheManager.Core.dll</HintPath>
    </Reference>
    <Reference Include="CacheManager.Memcached">
      <HintPath>..\lib\CacheManager.Memcached.0.7.4\lib\net40\CacheManager.Memcached.dll</HintPath>
    </Reference>
    <Reference Include="CacheManager.SystemRuntimeCaching">
      <HintPath>..\lib\CacheManager.SystemRuntimeCaching.0.7.4\lib\net40\CacheManager.SystemRuntimeCaching.dll</HintPath>
    </Reference>
    <Reference Include="CSRedisCore">
      <HintPath>..\lib\Redis\CSRedisCore.dll</HintPath>
    </Reference>
    <Reference Include="Enyim.Caching">
      <HintPath>..\lib\EnyimMemcached.2.13\lib\net35\Enyim.Caching.dll</HintPath>
    </Reference>
    <Reference Include="HibernatingRhinos.Profiler.Appender, Version=1.0.0.0, Culture=neutral, PublicKeyToken=0774796e73ebf640, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\lib\NHibernate\HibernatingRhinos.Profiler.Appender.dll</HintPath>
    </Reference>
    <Reference Include="Iesi.Collections, Version=1.0.1.0, Culture=neutral, PublicKeyToken=aa95f207798dfdb4, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\lib\NHibernate\Iesi.Collections.dll</HintPath>
    </Reference>
    <Reference Include="LinFu.DynamicProxy, Version=1.0.4.18998, Culture=neutral, PublicKeyToken=62a6874124340d6e, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\lib\NHibernate\LinFu.DynamicProxy.dll</HintPath>
    </Reference>
    <Reference Include="log4net, Version=1.2.10.0, Culture=neutral, PublicKeyToken=1b44e1d426115821, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\lib\log4net\log4net.dll</HintPath>
    </Reference>
    <Reference Include="M2Mqtt.Net, Version=4.3.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\lib\M2Mqtt.Net\M2Mqtt.Net.dll</HintPath>
    </Reference>
    <Reference Include="Newtonsoft.Json, Version=6.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\lib\Newtonsoft.Json.dll</HintPath>
    </Reference>
    <Reference Include="NHibernate, Version=3.0.0.4000, Culture=neutral, PublicKeyToken=aa95f207798dfdb4, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\lib\NHibernate\NHibernate.dll</HintPath>
    </Reference>
    <Reference Include="NHibernate.ByteCode.LinFu, Version=3.0.0.4000, Culture=neutral, PublicKeyToken=aa95f207798dfdb4, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\lib\NHibernate\NHibernate.ByteCode.LinFu.dll</HintPath>
    </Reference>
    <Reference Include="NHibernate.Caches.Prevalence, Version=3.0.0.4000, Culture=neutral, PublicKeyToken=6876f2ea66c9f443, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\lib\NHibernate\NHibernate.Caches.Prevalence.dll</HintPath>
    </Reference>
    <Reference Include="NPOI, Version=2.1.3.1, Culture=neutral, PublicKeyToken=0df73ec7942b34e1, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\lib\NPOI\dotnet4\NPOI.dll</HintPath>
    </Reference>
    <Reference Include="NPOI.OOXML, Version=2.1.3.1, Culture=neutral, PublicKeyToken=0df73ec7942b34e1, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\lib\NPOI\dotnet4\NPOI.OOXML.dll</HintPath>
    </Reference>
    <Reference Include="NPOI.OpenXml4Net, Version=2.1.3.1, Culture=neutral, PublicKeyToken=0df73ec7942b34e1, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\lib\NPOI\dotnet4\NPOI.OpenXml4Net.dll</HintPath>
    </Reference>
    <Reference Include="NPOI.OpenXmlFormats, Version=2.1.3.1, Culture=neutral, PublicKeyToken=0df73ec7942b34e1, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\lib\NPOI\dotnet4\NPOI.OpenXmlFormats.dll</HintPath>
    </Reference>
    <Reference Include="Remotion.Data.Linq, Version=1.13.41.2, Culture=neutral, PublicKeyToken=cab60358ab4081ea, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\lib\NHibernate\Remotion.Data.Linq.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.configuration" />
    <Reference Include="System.Core" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Management" />
    <Reference Include="System.Runtime.Caching" />
    <Reference Include="System.ValueTuple">
      <HintPath>..\lib\Redis\System.ValueTuple.dll</HintPath>
    </Reference>
    <Reference Include="System.Web" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="AliyunSMSHelper.cs" />
    <Compile Include="AppUtils.cs" />
    <Compile Include="BLWMQTT.cs" />
    <Compile Include="CPUData.cs" />
    <Compile Include="ExcelHelper.cs" />
    <Compile Include="MemoryStreamPool.cs" />
    <Compile Include="OnOffLineData.cs" />
    <Compile Include="RateLimiter.cs" />
    <Compile Include="CSRedisCacheHelper.cs" />
    <Compile Include="DynamicLibrary.cs" />
    <Compile Include="EnumDescription.cs" />
    <Compile Include="FreeGoOperation.cs" />
    <Compile Include="GlobalCache.cs" />
    <Compile Include="HttpWebRequestHelper.cs" />
    <Compile Include="IQueryOverExtension.cs" />
    <Compile Include="MemoryCacheHelper.cs" />
    <Compile Include="MemoryCacheUtil.cs" />
    <Compile Include="MyDes.cs" />
    <Compile Include="NPOIMemoryStream.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="ProtocalData.cs" />
    <Compile Include="SimpleMemoryStreamPool.cs" />
    <Compile Include="SQLHelper.cs" />
    <Compile Include="StructConverter.cs" />
    <Compile Include="TFTPclient.cs" />
    <Compile Include="TimeHelper.cs" />
    <Compile Include="Tools.cs" />
    <Compile Include="TVOperation.cs" />
    <Compile Include="UDPLogServer.cs" />
    <Compile Include="UDPPackageCount.cs" />
    <Compile Include="ValidatePattern.cs" />
    <Compile Include="WeiXinHelper.cs" />
    <Compile Include="SyncRoomStatus.cs" />
    <Compile Include="RokidOperation.cs" />
    <Compile Include="XidaoDuOperation.cs" />
    <Compile Include="DuiOperation.cs" />
    <Compile Include="XuanZhuOperation.cs" />
    <Compile Include="FrequencyControler.cs" />
    <Compile Include="TianMaoOperation.cs" />
  </ItemGroup>
  <ItemGroup>
    <None Include="app.config" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>